Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
verifiable-credentials
/
verification
/
templates
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.VerifiableCredentials.Verification;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.VerifiableCredentials.Verification.Templates.UpdateAsync(
            id: "id",
            request: new UpdateVerifiableCredentialTemplateRequestContent()
        );
    }

}
package example

import (
context "context"

client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
verification "github.com/auth0/go-auth0/management/management/verifiablecredentials/verification"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &verification.UpdateVerifiableCredentialTemplateRequestContent{}
client.VerifiableCredentials.Verification.Templates.Update(
context.TODO(),
"id",
request,
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.verifiablecredentials.verification.templates.requests.UpdateVerifiableCredentialTemplateRequestContent;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.verifiableCredentials().verification().templates().update(
"id",
UpdateVerifiableCredentialTemplateRequestContent
.builder()
.build()
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\VerifiableCredentials\Verification\Templates\Requests\UpdateVerifiableCredentialTemplateRequestContent;

$client = new Management(
token: '<token>',
);
$client->verifiableCredentials->verification->templates->update(
'id',
new UpdateVerifiableCredentialTemplateRequestContent([]),
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.verifiable_credentials.verification.templates.update(
id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.verifiable_credentials.verification.templates.update(id: "id")
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.update("id", {});
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.update("id", {});
}
main();
curl --request PATCH \
--url https://{tenantDomain}/api/v2/verifiable-credentials/verification/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"dialect": "<string>",
"well_known_trusted_issuers": "<string>",
"version": 123
}
'
{
  "id": "vct_0000000000000001",
  "name": "<string>",
  "type": "mdl",
  "dialect": "simplified/1.0",
  "presentation": {
    "org.iso.18013.5.1.mDL": {
      "org.iso.18013.5.1": {
        "family_name": true,
        "given_name": true,
        "birth_date": true,
        "issue_date": true,
        "expiry_date": true,
        "issuing_country": true,
        "issuing_authority": true,
        "portrait": true,
        "driving_privileges": true,
        "resident_address": true,
        "portrait_capture_date": true,
        "age_in_years": true,
        "age_birth_year": true,
        "issuing_jurisdiction": true,
        "nationality": true,
        "resident_city": true,
        "resident_state": true,
        "resident_postal_code": true,
        "resident_country": true,
        "family_name_national_character": true,
        "given_name_national_character": true
      }
    }
  },
  "custom_certificate_authority": "<string>",
  "well_known_trusted_issuers": "<string>",
  "created_at": "2021-01-01T00:00:00Z",
  "updated_at": "2021-01-01T00:00:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the template to retrieve.

Maximum string length: 26

Body

name
string | null
Required string length: 1 - 255
type
string | null
Required string length: 1 - 255
dialect
string | null
Maximum string length: 255
Pattern: ^simplified/1.0$
presentation
object

A simplified presentation request

well_known_trusted_issuers
string | null
Required string length: 1 - 255
Pattern: ^aamva$
version
number | null

Response

Template successfully updated.

id
string
default:vct_0000000000000001

The id of the template.

name
string

The name of the template.

type
string
default:mdl

The type of the template.

dialect
string
default:simplified/1.0

The dialect of the template.

Maximum string length: 255
presentation
object

A simplified presentation request

custom_certificate_authority
string | null

The custom certificate authority.

Required string length: 1 - 4096
well_known_trusted_issuers
string | null

The well-known trusted issuers, comma separated.

Required string length: 1 - 255
created_at
string<date-time>
default:2021-01-01T00:00:00Z

The date and time the template was created.

updated_at
string<date-time>
default:2021-01-01T00:00:00Z

The date and time the template was created.